includes("3rdparty/xmake.lua")
includes("xmake/**xmake.lua")
--includes("test/**xmake.lua")
target("zengine")
    set_kind("binary")
    set_rundir(".")
    add_rules("volk.env", "glsl.env")
    add_deps("zlib","zlog")
    add_defines("VULKAN_API")
    add_packages("vulkansdk","tinyobjloader","assimp","nlohmann_json")
    add_includedirs("src/engine")
    add_includedirs("src/3rdparty/volk", "src/3rdparty/vulkan-memory-allocator", "src/3rdparty/template")
    add_syslinks("user32")
    add_files("src/*.cpp", "src/**.cpp")
    add_files("src/3rdparty/**.c")
    add_headerfiles("src/**.h")
    add_headerfiles("src/3rdparty/**.h")